account/urls.py
"""accounts URL configuration
"""
from django.urls import path, re_path
from django.views.generic.base import TemplateView
from django.contrib.auth import views as auth_views

from account import views

urlpatterns = [
    re_path(
        r"^oauth/(?P<provider>[a-z_]*)/callback",
        views.OAuthCallback.as_view(),
        name="oauth_callback",
    ),
    re_path(
        r"^oauth/(?P<provider>[a-z_]*)/login",
        views.OAuthLogin.as_view(),
        name="oauth_login",
    ),
    path("", views.HomeLoginView.as_view(), name="home"),
    path("home", views.LoggedHomeView.as_view(), name="logged_home"),
    path("logout", auth_views.LogoutView.as_view(), name="logout"),
]

bookings/urls.py
from django.urls import path, re_path
from django.views.generic import TemplateView

from bookings.views.bookings import (
    BookingDetailView,
    BookingUpdateView,
    BookingDeleteView,
    BookingCreateView,
)
from bookings.views.occurrences import (
    BookingOccurrenceCreateView,
    BookingOccurrenceUpdateView,
    BookingOccurrenceDeleteView,
)
from bookings.views.other import (
    ResourceCategoryDayView,
    CountableOccurrencesList,
    BookingFormView,
)
from bookings.views.api_va import api_va

app_name = "bookings"

urlpatterns = [
    path(
        "home/", TemplateView.as_view(template_name="bookings/home.html"), name="home"
    ),
    re_path(
        r"^resource-category/(?P<id>[0-9]+)$",
        ResourceCategoryDayView.as_view(),
        name="resource-category-day",
    ),
    re_path(r"^form/(?P<pk>[0-9]+)$", BookingFormView.as_view(), name="booking-form"),
    re_path(
        r"^booking/(?P<pk>[0-9]+)$", BookingDetailView.as_view(), name="booking-details"
    ),
    re_path(
        r"^booking/(?P<pk>[0-9]+)/edit$",
        BookingUpdateView.as_view(),
        name="booking-update",
    ),
    re_path(
        r"^booking/(?P<pk>[0-9]+)/delete$",
        BookingDeleteView.as_view(),
        name="booking-delete",
    ),
    path("booking/new", BookingCreateView.as_view(), name="booking-new"),
    re_path(
        r"^booking/(?P<booking_pk>[0-9]+)/occurrence/new$",
        BookingOccurrenceCreateView.as_view(),
        name="occurrence-new",
    ),
    re_path(
        r"^booking/(?P<booking_pk>[0-9]+)/occurrence/(?P<pk>[0-9]+)$",
        BookingOccurrenceUpdateView.as_view(),
        name="occurrence-edit",
    ),
    re_path(
        r"^booking/(?P<booking_pk>[0-9]+)/occurrence/(?P<pk>[0-9]+)/delete$",
        BookingOccurrenceDeleteView.as_view(),
        name="occurrence-delete",
    ),
    path("occurrences", CountableOccurrencesList.as_view(), name="occurrences_filter"),
    re_path(r"^api/va/(?P<va_key>c[0-9]+)$", api_va, name="api_va"),
    path("help", TemplateView.as_view(template_name="bookings/help.html"), name="help"),
]

resa/urls.py
from django.urls import path, include
from django.contrib import admin

urlpatterns = [
    path("admin/", admin.site.urls),
    path("", include("account.urls")),
    path("book/", include("bookings.urls", namespace="bookings")),
]

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="fr">
<head>
    <title>Resa &bull; {% block title %}{% endblock %}</title>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <link rel="icon" type="image/png" href={% static 'logo-bde-square-favicon.png' %}>

    {% block javascript %}
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"
                integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4"
                crossorigin="anonymous"></script>
    {% endblock javascript %}

    {% block style %}
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"
              integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65"
              crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/fontawesome.min.css"
              integrity="sha512-SgaqKKxJDQ/tAUAAXzvxZz33rmn7leYDYfBP+YoMRSENhf3zJyx3SBASt/OfeQwBHA1nxMis7mM3EV/oYT6Fdw=="
              crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/solid.min.css"
              integrity="sha512-yDUXOUWwbHH4ggxueDnC5vJv4tmfySpVdIcN1LksGZi8W8EVZv4uKGrQc0pVf66zS7LDhFJM7Zdeow1sw1/8Jw=="
              crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link rel="stylesheet" href="{% static 'default_style.css' %}">
    {% endblock style %}
</head>
<body>
{% include 'navbar.html' %}

<div class="container">
    {% for message in messages %}
        <div class="alert alert-dismissible alert-{{ message.tags }} fade show" role="alert">
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            {{ message }}
        </div>
    {% endfor %}

    {% block content %}
        <div class="row">
            <div class="col-md-12">
                {% include 'bookings/resource/resource_category_nav.html' %}
            </div>
        </div>
        {% block add-content %}
        {% endblock add-content %}
    {% endblock content %}
</div>
</body>
</html>

templates/navbar.html
{% load static %}
{% load i18n %}
<nav class="navbar navbar-light navbar-expand-lg bg-light navbar-static-top">
    <div class="container">
        <!-- Brand and toggle get grouped for better mobile display -->
        <a class="navbar-brand" id="logo" href="{% url 'bookings:home' %}">
            <img src="{% static 'logo-bde-navbar.png' %}" alt="Logo BdE">
            Resa
        </a>
        <button type="button" class="navbar-toggler collapsed ms-2" data-bs-toggle="collapse"
                data-bs-target="#navbar-collapse" aria-controls="navbar-collapse" aria-expanded="false">
            <span class="visually-hidden">Toggle navigation</span>
            <span class="navbar-toggler-icon"></span>
        </button>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="navbar-collapse">
            <div class="navbar-text me-2">
                <a class="btn btn-outline-info" href="{% url 'bookings:help' %}">{% translate 'Aide' %}</a>
            </div>
            <ul class="nav navbar-nav ms-auto">
                {% if not user.is_authenticated %}
                    <li>
                        <a class="btn btn-primary" href="{% url 'oauth_login' provider='microsoft' %}?next={{ request.path }}">
                            Se connecter avec Sharepoint
                        </a>
                    </li>
                {% else %}
                    <div class="dropdown">
                        <button class="btn btn-secondary dropdown-toggle" data-bs-toggle="dropdown" type="button" aria-haspopup="true"
                           aria-expanded="false">
                            {% firstof user.get_full_name user.get_username %}
                        </button>
                        <div class="dropdown-menu">
                            {% if user.is_staff %}
                                <a class="dropdown-item" href="{% url 'admin:index' %}">Admin</a>
                                <div class="dropdown-divider"></div>
                            {% endif %}
                            <form id="logout-form" method="post" action="{% url 'logout' %}">
                              {% csrf_token %}
                              <button type="submit" class="dropdown-item">{% translate "Déconnexion" %}</button>
                            </form>
                        </div>
                    </div>
                {% endif %}
            </ul>
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container -->
</nav>